> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message

> Get a specific message by ID.



## OpenAPI

````yaml api-reference/openapi.json get /api/v1/messages/{message_id}
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/messages/{message_id}:
    get:
      tags:
        - Messages
      summary: Get Message
      description: Get a specific message by ID.
      operationId: get_message_api_v1_messages__message_id__get
      parameters:
        - name: message_id
          in: path
          required: true
          schema:
            type: string
            title: Message Id
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageRead'
        '404':
          description: Message not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    MessageRead:
      properties:
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        id:
          type: string
          title: Id
        conversation_id:
          type: string
          title: Conversation Id
          description: Reference to conversation
        sender_id:
          type: string
          title: Sender Id
          description: ID of the message sender
        role:
          type: string
          title: Role
          description: Message role (user, assistant, system, etc.)
          default: user
        content:
          type: string
          title: Content
          description: Message content
        tool_calls:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Tool Calls
          description: Tool calls made in this message
        message_type:
          type: string
          title: Message Type
          description: Type of message
          default: text
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
          description: Message tags
        checksum:
          anyOf:
            - type: string
            - type: 'null'
          title: Checksum
          description: Message checksum
        attachments:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Attachments
          description: Message attachments
        parent_message_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Message Id
          description: Parent message ID for threading
        meta_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Data
          description: Additional metadata
        sent_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sent At
          description: When the message was sent
        owner_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner Id
          description: Owner ID
        workspace_id:
          type: string
          title: Workspace Id
          description: Reference to workspace
      type: object
      required:
        - conversation_id
        - sender_id
        - content
        - workspace_id
      title: MessageRead
      description: Schema for reading message data.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````